Subject: Re: [PATCH net 0/6] net/sched: Fix packet loops in mirred and netem

From: Jakub Kicinski <[email-masked]>
Date: Tue, 13 Jan 2026 18:07:20 -0800

On Sun, 11 Jan 2026 11:39:41 -0500 Jamal Hadi Salim wrote:
> We introduce a 2-bit global skb->ttl counter.Patch #1 describes how we puti
> together those bits. Patches #2 and patch #5 use these bits.
> I added Fixes tags to patch #1 in case it is useful for backporting.
> Patch #3 and #4 revert William's earlier netem commits. Patch #6 introduces
> tdc test cases.

TC is not the only way one can loop packets in the kernel forever.
Are we now supposed to find and prevent them all?